# SPDX-License-Identifier: LGPL-2.1-only
# Copyright 2022 Jookia <contact@jookia.org>

import sys

if sys.implementation.name in ["micropython", "circuitpython"]:

    def atexit_register_one(function):
        sys.atexit(function)

    def atexit_unregister():
        sys.atexit(None)

else:
    import atexit

    registered = None

    def atexit_register_one(function):
        global registered
        registered = function
        atexit.register(function)

    def atexit_unregister():
        global registered
        atexit.unregister(registered)
